Subject: [PSAMP] FW: [ipfix] spelling/editorial change to time data types

From: "Tanja Zseby" <[email-masked]>
Date: Fri, 5 May 2006 16:48:17 +0200

Hi Thomas,

just a small issue:
since it was decided for IPFIX to write MilliSeconds etc. with small s
instead of capital S, this should also be changed in the next version of
PSAMP-INFO.

Regards,
Tanja 

-----Original Message-----
From: majordomo listserver [mailto:[email-masked]] On
Behalf Of Benoit Claise
Sent: Thursday, February 09, 2006 11:38 AM
To: Brian Trammell
Cc: [email-masked]
Subject: Re: [ipfix] spelling/editorial change to time data types

Brian, 

	All, 
	
	May be a bit late for this, and may also be a bit pedantic, but
I'd like to advocate correcting the spelling of the data type names: 
	
	       3.1.11. dateTimeMilliSeconds  . . . . . . . . . . . . . .
. .  12 
	       3.1.12. dateTimeMicroSeconds  . . . . . . . . . . . . . .
. .  12 
	       3.1.13. dateTimeNanoSeconds . . . . . . . . . . . . . . .
. .  12 
	
	and their associated information elements: 
	
	       5.8.3.  flowStartMilliSeconds . . . . . . . . . . . . . .
. .  58 
	       5.8.4.  flowEndMilliSeconds . . . . . . . . . . . . . . .
. .  58 
	       5.8.5.  flowStartMicroSeconds . . . . . . . . . . . . . .
. .  58 
	       5.8.6.  flowEndMicroSeconds . . . . . . . . . . . . . . .
. .  58 
	       5.8.7.  flowStartNanoSeconds  . . . . . . . . . . . . . .
. .  58 
	       5.8.8.  flowEndNanoSeconds  . . . . . . . . . . . . . . .
. .  59 
	       5.8.9.  flowStartDeltaMicroSeconds  . . . . . . . . . . .
. .  59 
	       5.8.10. flowEndDeltaMicroSeconds  . . . . . . . . . . . .
. .  59 
	       5.8.11. systemInitTimeMilliSeconds  . . . . . . . . . . .
. .  59 
	       5.10.4. flowDurationMilliSeconds  . . . . . . . . . . . .
. .  67 
	       5.10.5. flowDurationMicroSeconds  . . . . . . . . . . . .
. .  68 
	
	in IPFIX-INFO 11 and normative references thereto in IPFIX-PROTO
17: 
	
	     6.1.7
dateTimeMilliSeconds.....................................30 
	     6.1.8
dateTimeNanoSeconds......................................30 
	     6.1.9
dateTimeMicroSeconds.....................................30 
	
	Addition of an SI prefix does not cause a word break, as implied
by the interCap spelling of these identifiers. Suggested correction is
to make the "s" in seconds lower-case. This change would of course not
apply to dateTimeSeconds, as there _is_ a word break before "Seconds" in
that case. 
	
	(Incidentially, I discovered this problem while testing our
implementation, attempting to find the flowStartMilliseconds (properly
spelled) IE in our IE registry, which caused a runtime error. Other
implementors and users of IPFIX may also run into the same problem in
the future, hence this suggestion.) 
	
	Also, there are references to flowStartDeltaUseconds and
flowEndDeltaUseconds in PROTO 19; these should be changed to
"DeltaMicroseconds". 

Good catch!
As there were no positive reaction from this community to change the "S"
of seconds to lower case, I changed [IPFIX-PROTO] to
flowStartDeltaMicroSeconds and flowEndDeltaMicroSeconds... to be
consistent with [IPFIX-INFO].

Regards, Benoit.

	Regards, 
	
	Brian 

_______________________________________________
PSAMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/psamp

---

From: Brian Trammell <[email-masked]>
Date: Fri, 5 May 2006 10:56:03 -0400

There are also references to the time data types and information  
element names in PSAMP-PROTO; these should be changed as well.

Regards,

Brian

---

From: Paul Aitken <[email-masked]>
Date: Fri, 05 May 2006 16:02:41 +0100

Tanja,

> instead of capital S, this should also be changed in the next version of

I believe I still have the PSAMP-INFO edit token, so I made this change.

I also changed references to the datatype "dateTimeMicroSeconds" into 
"dateTimeMicroseconds". However, I left "dateTimeSeconds" unchanged.

Cheers.
-- 
Paul Aitken
Cisco Systems Ltd, Edinburgh, Scotland.

---

From: Benoit Claise <[email-masked]>
Date: Fri, 05 May 2006 17:08:36 +0200

Brian,
> element names in PSAMP-PROTO; these should be changed as well.
Good point.
In order to avoid any mistake, I will wait for the next version of 
[IPFIX-INFO] to be out before applying any change.

Regards, Benoit.
> ------------------------------------------------------------------------
>